baseurl = "https://blog.happydomain.org"
theme = "hugo-theme-roland"
languageCode = "en-us"
defaultContentLanguage = "en"
preserveTaxonomyNames = true
copyright = "happyDomain"

[pagination]
pagerSize = 5

[outputs]
home = ["HTML", "RSS", "JSON"]


[languages.en]
  title = "happyDomain' latests news"
  weight = 1
  [languages.en.params]
    SEOTitle = "happyDomain"
    description = ""
    keyword = ""
    slogan = "Finally a simple interface for domain names."
    search_txt = "looking for an article..."
    about_txt = "About us"
    about_link = "https://www.happydomain.org/en/who-we-are/"
    sidebar_about_description = "happyDomain has been created by a team of enthusiasts, for more freedom on the Internet."

    cta_nav_txt = "Discover happyDomain"
    cta_nav_href = "https://www.happyDomain.org/en/"

    legal_txt = "Legal notice"
    legal_href = "https://www.happydomain.org/en/legal-notice"

[languages.fr]
  title = "Blog d'happyDomain"
  weight = 1
  [languages.fr.params]
    SEOTitle = "happyDomain"
    description = ""
    keyword = ""
    slogan = "L'interface des noms de domaines."
    search_txt = "Rechercher un article..."
    about_txt = "À propos d'happyDomain"
    about_link = "https://www.happydomain.org/fr/qui-sommes-nous/"
    sidebar_about_description = "happyDomain a été créé par une équipe de passionés pour un Internet plus libre."

    cta_nav_txt = "Découvrez happyDomain"
    cta_nav_href = "https://www.happyDomain.org/fr/"

    legal_txt = "Mentions légales"
    legal_href = "https://www.happydomain.org/fr/legal-notice/"

[params]

  image_404 = "img/404-bg.jpg"
  title_404 = "Erreur 404"
  omit_categories = false

  # Sidebar settings
  featured_tags = true
  featured_condition_size = 1

  #friends = true
  #bookmarks = true

  about_me = true
  sidebar_avatar = "img/happydomain-rounded.png"      # use absolute URL, seeing it's used in both `/` and `/about/`

  cta_nav = true

  # Include any custom CSS and/or JS files, url or relative to /static folder
  custom_css = ["css/happydomain.css"]

  [params.umami]
  website_id = "5d47ff4d-35f7-4e89-91f9-0a55e3709b4f"
  host = "pythagore.p0m.fr"
  path = "pythagore.js"

  [params.commento]
  host = "commento.nemunai.re"

  [params.social]
  rss            = true
  email          = "contact@happydomain.org"
  #facebook      = "full profile url in facebook"
  #googleplus    = "full profile url in googleplus"
  #twitter       = "full profile url in twitter"
  #linkedin       = "https://www.linkedin.com/in/yourlinkedinid"
  #stackoverflow  = "https://stackoverflow.com/users/yourstackoverflowid"
  #instagram     = "full profile url in instagram"
  github         = "https://github.com/happyDomain"
  #wechat         = "your wechat qr code image"
  #medium         = "full profile url in medium"
  #pinterest     = "full profile url in pinterest"
  #reddit        = "full profile url in reddit"
  gitlab        = "https://git.happydomain.org/happyDomain"
  mastodon      = "https://floss.social/@happyDomain"
  #keybase       = "full profile url in keybase"
  #xing          = "https://www.xing.com/profile/yourxingid"
  #git           = "full profile url for git user"

  #[[params.friend_link]]
  #title = "Linda"
  #href =  "https://zhaozhihan.com"

  #[[params.bookmark_link]]
  #title =  "Martin Fowler"
  #href =  "https://martinfowler.com"
  #[[params.bookmark_link]]
  #title = "ServiceMesher"
  #href =  "http://www.servicemesher.com"
  #[[params.bookmark_link]]
  #title =  "Pxhere"
  #href = "https://pxhere.com"
  #[[params.bookmark_link]]
  #title = "unsplash"
  #href = "https://unsplash.com"

  #[[params.addtional_menus]]
  #title =  "BOOKS"
  #href =  "/top/books/"
  #[[params.addtional_menus]]
  #title =  "ABOUT"
  #href =  "/top/about/"

[markup]
  [markup.tableOfContents]
    endLevel = 2
    startLevel = 1
  [markup.highlight]
    style = "dracula"
